osmo_gsup_message Struct Reference
Generic Subscriber Update Protocol

parsed/decoded GSUP protocol message More...

`#include <gsup.h>`

## Data Fields

enum osmo_gsup_message_type | message_type
char | imsi [GSM23003_IMSI_MAX_DIGITS+2]
enum gsm48_gmm_cause | cause
enum osmo_gsup_cancel_type | cancel_type
int | pdp_info_compl
int | freeze_ptmsi
struct osmo_auth_vector | auth_vectors [OSMO_GSUP_MAX_NUM_AUTH_INFO]
size_t | num_auth_vectors
struct osmo_gsup_pdp_info | pdp_infos [OSMO_GSUP_MAX_NUM_PDP_INFO]
size_t | num_pdp_infos
const uint8_t * | msisdn_enc
size_t | msisdn_enc_len
const uint8_t * | hlr_enc
size_t | hlr_enc_len
const uint8_t * | auts
const uint8_t * | rand
enum osmo_gsup_cn_domain | cn_domain
const uint8_t * | pdp_charg_enc
size_t | pdp_charg_enc_len
enum osmo_gsup_session_state | session_state
| Session state osmo_gsup_session_state. More...
uint32_t | session_id
| Unique session identifier and origination flag. More...
uint8_t * | ss_info
| ASN.1 encoded MAP payload for Supplementary Services. More...
size_t | ss_info_len

## Detailed Description

parsed/decoded GSUP protocol message

## Field Documentation

## auth_vectors

struct osmo_auth_vector osmo_gsup_message::auth_vectors[OSMO_GSUP_MAX_NUM_AUTH_INFO]

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## auts

const uint8_t* osmo_gsup_message::auts

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## cancel_type

enum osmo_gsup_cancel_type osmo_gsup_message::cancel_type

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## cause

enum gsm48_gmm_cause osmo_gsup_message::cause

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## cn_domain

enum osmo_gsup_cn_domain osmo_gsup_message::cn_domain

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## freeze_ptmsi

int osmo_gsup_message::freeze_ptmsi

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## hlr_enc

const uint8_t* osmo_gsup_message::hlr_enc

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## hlr_enc_len

size_t osmo_gsup_message::hlr_enc_len

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## imsi

char osmo_gsup_message::imsi[GSM23003_IMSI_MAX_DIGITS+2]

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## message_type

enum osmo_gsup_message_type osmo_gsup_message::message_type

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## msisdn_enc

const uint8_t* osmo_gsup_message::msisdn_enc

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## msisdn_enc_len

size_t osmo_gsup_message::msisdn_enc_len

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## num_auth_vectors

size_t osmo_gsup_message::num_auth_vectors

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## num_pdp_infos

size_t osmo_gsup_message::num_pdp_infos

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## pdp_charg_enc

const uint8_t* osmo_gsup_message::pdp_charg_enc

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## pdp_charg_enc_len

size_t osmo_gsup_message::pdp_charg_enc_len

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## pdp_info_compl

int osmo_gsup_message::pdp_info_compl

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## pdp_infos

struct osmo_gsup_pdp_info osmo_gsup_message::pdp_infos[OSMO_GSUP_MAX_NUM_PDP_INFO]

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## rand

const uint8_t* osmo_gsup_message::rand

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## session_id

uint32_t osmo_gsup_message::session_id

Unique session identifier and origination flag.

Encoded only when session_state != 0x00

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## session_state

enum osmo_gsup_session_state osmo_gsup_message::session_state

Session state osmo_gsup_session_state.

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## ss_info

uint8_t* osmo_gsup_message::ss_info

ASN.1 encoded MAP payload for Supplementary Services.

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

## ss_info_len

size_t osmo_gsup_message::ss_info_len

Referenced by osmo_gsup_decode(), and osmo_gsup_encode().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsup.h